MEMCACHED_TOUCH(3)

NAME
memcached_touch - libmemcached Documentation

SYNOPSIS

#include <libmemcached/memcached.h>

memcached_return_t memcached_touch (memcached_st *ptr, const char *key, size_t key_length, time_t expiration);

memcached_return_t memcached_touch_by_key (memcached_st *ptr, const char *group_key, size_t group_key_length, const char *key, size_t key_length, time_t expiration);

    Compile and link with -lmemcached

DESCRIPTION

memcached_touch() is used to update the expiration time on an existing key. memcached_touch_by_key() works the same, but it takes a master key to find the given value.

RETURN

A value of type memcached_return_t is returned On success that value will be MEMCACHED_SUCCESS. Use memcached_strerror() to translate this value to a printable string.

HOME

To find out more information please check: http://libmemcached.org/

AUTHOR

Brian Aker, <brian@tangent.org>

SEE ALSO

memcached(1) libmemcached(3) memcached_strerror(3)

AUTHOR
Brian Aker

COPYRIGHT
2011, Brian Aker DataDifferential, http://datadifferential.com/